For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Get Single Product

get

Retrieves product detailed information by ID.

Authorizations
Path parameters
idstringRequired

Product ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/sales/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Update Full Product

put

Modifies the full product details.

Authorizations
Path parameters
idstringRequired

Product ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
put/api/v1/sales/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Product List

get

Retrieves the enterprise's product list with pagination.

Pagination

  • Offset-based paging (starts from 0)

  • limit: page size (min 1, max 100)

  • Check existence of the next page using hasNext in the response

Filter Conditions

  • userId: User ID filter

  • name: Name search keyword (partial match)

  • code: Code filter

  • sku: SKU filter

  • brandCode: Brand code filter

  • categoryIds: Category ID list filter

  • sortType: Sort criteria (ID_DESC, ID_ASC, NAME_ASC, NAME_DESC, UPDATED_ASC, UPDATED_DESC)

Authorizations
Query parameters
offsetinteger · int32Required

Page number (starts from 0, offset paging)

limitinteger · int32Required

Page size (min: 1, max: 100)

userIdstringOptional

User ID

namestringOptional

Name search keyword

codestringOptional

Code

skustringOptional

SKU

brandCodestringOptional

Brand Code

categoryIdsstring[]Optional

Category ID List

sortTypestring · enumOptional

Sort Type

Default: ID_DESCPossible values:
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/sales
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Create Product

post

Creates a new product.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/sales
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Add Product Options

post

Adds options to a product.

Authorizations
Path parameters
idstringRequired

Product ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/sales/{id}/options
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Delete Product Options

delete

Deletes options of a product.

Authorizations
Path parameters
idstringRequired

Product ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
delete/api/v1/sales/{id}/options
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Modify Product Options

patch

Modifies options of a product.

Authorizations
Path parameters
idstringRequired

Product ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
patch/api/v1/sales/{id}/options
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Merge Products

post

Merges products.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/sales/merge
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Decompose Products

post

Decomposes products.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/sales/decompose
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Modify Product Option Price

patch

Modifies the price of a product option.

Authorizations
Path parameters
idstringRequired

Product ID

componentIdstringRequired

Component ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
patch/api/v1/sales/{id}/options/{componentId}/price
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Modify Product Basic Information

patch

Modifies the basic information of a product.

Authorizations
Path parameters
idstringRequired

Product ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
patch/api/v1/sales/{id}/info
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Last updated

Was this helpful?